curl --request GET \
--url https://api.prod.finverse.net/identity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/identity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identity": {
"addresses": [
{
"account_ids": [
"01FXSPPETY5HNFGEZZ7FK4E32X",
"01FXSPPEV1B1NH5XF063FC31VX",
"01FXSPPETNWRJ4Y3XVDXESJFEC",
"01FXSPPETRJ62KFG8CYJR2RAHV",
"01FXSPPETVE1R5PPBYJG9DWVYF"
],
"full_address": "69 A Building 4, Example Street, Unicorn Land",
"raw": "69 A Building 4, Example Street, Unicorn Land",
"source": "ONLINE_BANKING",
"source_ids": [
"01FXSPPQ577NPJ115HXNH7V0KZ"
]
}
],
"date_of_births": [
{
"account_ids": [
"01FXSPPETRJ62KFG8CYJR2RAHV",
"01FXSPPETVE1R5PPBYJG9DWVYF",
"01FXSPPETY5HNFGEZZ7FK4E32X",
"01FXSPPEV1B1NH5XF063FC31VX",
"01FXSPPETNWRJ4Y3XVDXESJFEC"
],
"date_of_birth": "2006-09-01",
"raw": "2006-09-01",
"source": "ONLINE_BANKING",
"source_ids": [
"01FXSPPQ577NPJ115HXNH7V0KZ"
]
}
],
"emails": [
{
"account_ids": [
"01FXSPPETVE1R5PPBYJG9DWVYF",
"01FXSPPETY5HNFGEZZ7FK4E32X",
"01FXSPPEV1B1NH5XF063FC31VX",
"01FXSPPETNWRJ4Y3XVDXESJFEC",
"01FXSPPETRJ62KFG8CYJR2RAHV"
],
"email": "[email protected]",
"raw": "[email protected]",
"source": "ONLINE_BANKING",
"source_ids": [
"01FXSPPQ577NPJ115HXNH7V0KZ"
]
}
],
"names": [
{
"account_ids": [
"01FXSPPEV1B1NH5XF063FC31VX",
"01FXSPPETNWRJ4Y3XVDXESJFEC",
"01FXSPPETVE1R5PPBYJG9DWVYF",
"01FXSPPETY5HNFGEZZ7FK4E32X"
],
"full_name": "John Doe",
"raw": "John Doe",
"source": "ONLINE_BANKING",
"source_ids": [
"01FXSPPQ54716YSAECRPJBY8R1"
]
},
{
"account_ids": [
"01FXSPPETRJ62KFG8CYJR2RAHV"
],
"full_name": "Joe",
"raw": "Joe",
"source": "ONLINE_BANKING",
"source_ids": [
"01FXSPPQ54716YSAECRPJBY8R1"
]
},
{
"account_ids": [
"01FXSPPETRJ62KFG8CYJR2RAHV",
"01FXSPPETVE1R5PPBYJG9DWVYF",
"01FXSPPETY5HNFGEZZ7FK4E32X",
"01FXSPPEV1B1NH5XF063FC31VX",
"01FXSPPETNWRJ4Y3XVDXESJFEC"
],
"full_name": "User Good",
"raw": "User Good",
"source": "ONLINE_BANKING",
"source_ids": [
"01FXSPPQ577NPJ115HXNH7V0KZ"
]
}
],
"phone_numbers": [
{
"account_ids": [
"01FXSPPETNWRJ4Y3XVDXESJFEC",
"01FXSPPETRJ62KFG8CYJR2RAHV",
"01FXSPPETVE1R5PPBYJG9DWVYF",
"01FXSPPETY5HNFGEZZ7FK4E32X",
"01FXSPPEV1B1NH5XF063FC31VX"
],
"mobile_phone": "12344312",
"raw": "12344312",
"source": "ONLINE_BANKING",
"source_ids": [
"01FXSPPQ577NPJ115HXNH7V0KZ"
]
}
]
},
"institution": {
"countries": [
"HKG",
"SGP",
"PHL"
],
"institution_id": "testbank",
"institution_name": "TestBank HK",
"portal_name": "Test Bank Personal Account"
},
"login_identity": {
"last_session_id": "01FXSPP54CB7PPAFGK5FZ2WBTV",
"login_identity_id": "01FXSPP53F7C3C110C4GSQJEWC",
"status": "DATA_RETRIEVAL_COMPLETE"
}
}Get identity
Retrieve all Identity information for a Login Identity (using a specific login_identity_token).
Authorization: login_identity_token
identity
Full identity object, containing accountholder identity details (at a minimum: names) for the requested Login Identity.
addresses
Full addresses array, containing accountholder address information, as reported by the institution. Omitted if not available.
date_of_births
Full date_of_births array, containing accountholder information, as reported by the institution. Omitted if not available.
emails
Full emails array, containing accountholder email information, as reported by the institution. Omitted if not available.
names
Full names array, containing accountholder email information, as reported by the institution. Will always be returned for Institutions listed as supporting Finverse’s Identity product.
phone_numbers
Full phone_numbers array, containing accountholder phone information, as reported by the institution. Omitted if not available.
institution
Summary Institutions object. See GET /institutions for details.
login_identity
Summary Login Identity object. See GET /login_identity for details.
